List subscriptions.
GET /api/subscriptions
GET /api/subscriptionsInteractive request editor loads with JavaScript.
Authorization
BearerAuth DeveloperIDHeader In: header
In: header
Query Parameters
The API product ID.
^[a-zA-Z0-9-_.]+$1 <= length <= 256The object ID.
^[a-zA-Z0-9-_.]+$1 <= length <= 256Condition to search resources by.
"subscribed_at"Value in
- "developer_name"
- "subscribed_at"
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/subscriptions?search=version%253Dv2"{
"list": [
{
"id": "string",
"developer_id": "string",
"developer_name": "string",
"subscribed_at": "2025-01-01T00:00:00.000Z",
"application_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"application_name": "us-west-rsc",
"api_product_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"api_product_name": "us-west-rsc",
"status": "unsubscribed"
}
],
"total": 1
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Internal server error.
Complete operation details and schema variants
GET /api/subscriptions
List subscriptions.
Parameters
api_product_id(query, string, optional): The API product ID.application_id(query, string, optional):status(query, array, optional):search(query, string, optional): Condition to search resources by.order_by(query, string, optional):page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.
Responses
200:list(array, required): An array of subscriptions.list[].id(string, required): The ID of the subscription.list[].developer_id(string, required):list[].developer_name(string, required):list[].subscribed_at(string, optional):list[].application_id(string, required): The object ID.list[].application_name(string, required): The object name.list[].api_product_id(string, required): The object ID.list[].api_product_name(string, required): The object name.list[].status(string, required):total(integer, required): Total number of objects.400: Bad request.status(integer, required): The HTTP status code of the error response.message(string, required): The error message.401: Unauthorized. Response fields (application/json): identical toGET /api/subscriptions, response 400 above.500: Internal server error.
cURL
curl -X GET '$API_BASE_URL/api/subscriptions'